POST Search for promotion campaign assignments.
POST /organizations/{organizationId}/assignments
Operation ID: assignmentsSearch. Security: AmOAuth2 (sfcc.promotions, sfcc.promotions.rw).
The promotion campaign assignment search document contains a search object that allows filtering on various attributes.
The query attribute specifies a complex query that can be used to narrow down the search. Attributes are grouped into different buckets.
The following is a list of searchable attributes with their corresponding buckets:
main:
| Attribute | Type |
|---|---|
| rank | Integer |
| startDate | Date |
| endDate | Date |
campaign:
| Attribute | Type |
|---|---|
| campaign | String |
promotion:
| Attribute | Type |
|---|---|
| promotionId | String |
| description | String |
| enabled | Boolean |
special handling:
| Attribute | Type |
|---|---|
| couponId | String |
Only fields in the same bucket can be joined using a disjunction (or). For instance, when joining campaignId and rank, only a conjunction (and) is allowed, while promotionId and description can be joined using a disjunction because they are in the same bucket. Special handling fields must always use conjunctions. If the field is used in a disjunction that violates this rule, an exception is thrown.
Note that only searchable attributes can be used in sorting.
Parameters
organizationId(path, OrganizationId, required) An identifier for the Salesforce Commerce Cloud organization the request is being made by. It consists of a prefix 'f_ecom_' followed by a 4-character realm identifier and a 3-character instance type identifier.Example
f_ecom_zzxy_prdsiteId(query, SiteId, required) The identifier of the site that a request is being made in the context of. Attributes might have site specific values, and some objects may only be assigned to specific sites.Example: SiteId
RefArch
Request body
Media type: application/json. Schema: SearchRequest.
Responses
- 200
Promotion campaign information successfully returned.
Media type:
application/json. Schema:PromotionCampaignAssignmentSearchResult.